python-letsencrypt-apache_0.4.1-1_all.deb


Advertisement

Description

python-letsencrypt-apache - Apache plugin for Let's Encrypt

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-letsencrypt-apache
Package version: 0.4.1
Package release: 1
Package architecture: all
Package type: deb
Installed size: 236 B
Download size: 43.83 KB
Official Mirror: archive.ubuntu.com
The objective of Let's Encrypt and the ACME (Automated Certificate Management Environment) protocol is to make it possible to set up an HTTPS server and have it automatically obtain a browser-trusted certificate, without any human intervention. This is accomplished by running a certificate management agent on the web server. This agent is used to: - Automatically prove to the Let's Encrypt CA that you control the website - Obtain a browser-trusted certificate and set it up on your web server - Keep track of when your certificate is going to expire, and renew it - Help you revoke the certificate if that ever becomes necessary. This package contains the Apache plugin to the main application.

Alternatives

    Download

    Source package: python-letsencrypt-apache

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-letsencrypt-apache deb package:
      # sudo apt-get install python-letsencrypt-apache

    Files

    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/__init__.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/augeas_configurator.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/centos-options-ssl-apache.conf
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/configurator.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/constants.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/display_ops.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/obj.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/options-ssl-apache.conf
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/parser.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tls_sni_01.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache-0.4.1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache-0.4.1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache-0.4.1.egg-info/entry_points.txt
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache-0.4.1.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache-0.4.1.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/augeas_lens/httpd.aug
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/__init__.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/augeas_configurator_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/complex_parsing_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/configurator_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/constants_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/display_ops_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/obj_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/parser_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/tls_sni_01_test.py
    • /usr/lib/python2.7/dist-packages/letsencrypt_apache/tests/util.py
    • /usr/share/doc/python-letsencrypt-apache/changelog.Debian.gz
    • /usr/share/doc/python-letsencrypt-apache/copyright

    Changelog

    2016-02-29 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.4.1-1) unstable; urgency=medium * New upstream release * Match version restriction on python-parsedatetime * Bump S-V; no changes needed * Fix Vcs-git URL

    2016-02-11 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.4.0-1) unstable; urgency=medium * New upstream release. * Switch Vcs-git to https.

    2016-01-15 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.2.0-1) unstable; urgency=medium * New upstream version. * Drop priority to extra due to python-zope.component. * Drop dep on pyopenssl to 0.13, include dep version for configargparse.

    2015-12-19 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.1.1-2) unstable; urgency=medium * Fix potential race condition in build.

    2015-12-15 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.1.1-1) unstable; urgency=medium * New upstream release.

    2015-12-10 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.1.0-2) unstable; urgency=medium * New release for upload to sid.

    2015-12-03 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.1.0-1) experimental; urgency=medium * New upstream release. * Switch to new GPG key.

    2015-12-01 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.0.0.dev20151123-2) experimental; urgency=medium * New release to fix uninstallable version problem.

    2015-11-29 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.0.0.dev20151123-1) experimental; urgency=medium * New upstream version.

    2015-11-14 - Harlan Lieberman-Berg <hlieberman@setec.io> python-letsencrypt-apache (0.0.0.dev20151114-1) experimental; urgency=medium [ Francois Marier ] * Bump the python-sphinx dependency to >= 1.3.1-1 to ensure that python-sphinx-rtd-theme is pulled in. [ Harlan Lieberman-Berg ] * New upstream release. * Update python-sphinx dependency for backports compatibility.

    Advertisement
    Advertisement